
QGIS Application - Bug report #1303

Export as image type tif/tiff in print composer broken

2008-09-08 09:55 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11363

Description

1. Open print composer

2. Create a map (altough a empty map will do it)

3. Export it as an tiff or tif image

4. The resultling tiff ist not valid, at least the header of the file is corupted. This cause other programs not to accept the tif as an image file.

History

#1 - 2008-09-09 01:19 AM - Marco Hugentobler

Hi Cedric,

I tried it both with Qt4.3.4 and Qt4.4.1 and I could open the tifs in the gimp and in konqueror without any problems.

Which application do you use to open the tif/tiffs ?

Marco

#2 - 2008-09-09 01:31 AM - cmoe -

Hi Marco

I used xnview, alchemy and corel draw, all of them say the same. So I opened it in a hex editor. The header of the file fails in the first 4 bytes, which should

state the endian type and the number '42' (See http://partners.adobe.com/public/developer/en/tiff/TIFF6.pdf , page 13). We use Qt4.3.4. I added an

attachment of the output.

mfG

Cédric

#3 - 2008-10-10 01:01 PM - Tim Sutton

- Resolution set to worksforme

- Status changed from Open to Closed

Closing this bug as 'works for me'. Tested on ubuntu 8.04 using standard Qt4.4 packages. Marco also tested using Qt4.3. Probably the issue relates to the

way that your Qt4.x is compiled.

Regards
http://partners.adobe.com/public/developer/en/tiff/TIFF6.pdf


Tim

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

test_tif2mm.tif 2.07 KB 2008-09-08 cmoe -
